@import "~sass/media";
@import "~sass/variables";
.common-profile-header {
   border-bottom: 1px solid $quaternary;
   font-weight: 500;
   color: $font-silver;
}
.wishlist-table-card{
  box-shadow: 1px 2px 2px rgba(212, 212, 212, 0.85), 0 0 2px rgba(212, 212, 212, 0.85);
  overflow: auto;
  margin-top: 20px;
}
.wish-table{
  height: 465px;
  overflow-y: auto;
  .mat-header-cell{
    z-index:1 !important;
  }
}
.whistlist-header{
    padding-top: 1%;
    padding-left: 1%;
}
.wrapTableTech{
    font-size: 14px;
    overflow: hidden;
    width: 100%;
   }
.whistlist-image{
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    object-fit: contain;
}
.whistlist-image img{
    position: relative;
    width: 40%;
}
.stock-avalability{
    background-color: green;
    border-radius: 20px;
    color: white;
    text-align: center;
    padding: 5px;
}
.stock-non-avalability{
    background-color: orange;
    border-radius: 13px;
    color: white;
    text-align: center;
    padding: 2px;
}

.stock-non-avalability{
  background-color: #e50e0e;
  border-radius: 13px;
  color: white;
  text-align: center;
  padding: 2px;
}
.whislist-product-price{
    font-size: 14px;
    font-weight: 500;
    text-align: right;
    margin-bottom: 0 !important;
}
.whislist-product-price span{
    color: #b3b2b2;
    text-decoration: line-through;
}
.whistlist-icon i{
    font-size: 20px;
    padding-right: 10px;
}
.whistlist-icon i .btn{
line-height: 0;
}
button{
    background-color: white;
}

.mywhistlist-head.row{
    padding:0;
}
.mywhistlist-head ul{
    list-style-type: none;
    width:100%;
    // padding:15px;
    border-bottom : 1px solid rgb(233, 232, 232);
    background-color: #e0e0e0;
}
.mywhistlist-head li{
    padding-right: 10%;
    display : inline;
}

.whistlist-list-name{
    width:100%;
    word-wrap: break-word;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: left;
}
.quantity {
    float: left;
    margin-right: 15px;
    background-color: #eee;
    position: relative;
    width: 80px;
    overflow: hidden
}

.quantity input {
    margin: 0;
    text-align: center;
    width: 15px;
    height: 15px;
    padding: 0;
    float: right;
    color: #000;
    font-size: 20px;
    border: 0;
    outline: 0;
    background-color: #F6F6F6
}

.quantity input.qty {
    position: relative;
    border: 0;
    width: 100%;
    height: 40px;
    padding: 10px 25px 10px 10px;
    text-align: center;
    font-weight: 400;
    font-size: 15px;
    border-radius: 0;
    background-clip: padding-box
}

.quantity .minus, .quantity .plus {
    line-height: 0;
    background-clip: padding-box;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    -webkit-background-size: 6px 30px;
    -moz-background-size: 6px 30px;
    color: #bbb;
    font-size: 20px;
    position: absolute;
    height: 50%;
    border: 0;
    right: 0;
    padding: 0;
    width: 25px;
    z-index: 3
}

.quantity .minus:hover, .quantity .plus:hover {
    background-color: #dad8da
}

.quantity .minus {
    bottom: 0
}
.shopping-cart {
    margin-top: 0px;
}
.card-header ul{
    display : inline;
}
.mywhistlist-head{
    list-style-type: none;
    width:100%;
    padding:10px;
    border-bottom : 1px solid rgb(233, 232, 232);
    background-color: #f5f5f5;
    margin-bottom: 0;
}
.mywhistlist-head li{
    padding-right: 10%;
    display : inline;
}

.wishlist-wrap {
    padding: 15px 0 0 0;
}


  .blocTech {
    display: table-header-group;
    background-color: $quaternary;
    border-bottom: 1px solid #adadad;

  }
  .tech-cell {
    display: table-cell;
    text-align: justify;
    padding: 10px;
    border: 2px solid $quaternary;
    // text-align:center;
  }
  .blocCat {
    display: table-row-group;
    background-color: rgb(255, 255, 255);text-align: center;
  }

  .tech-row {
    display: table-row;
    border: 2px solid rgb(204, 203, 203);
  }

  .tech-RowTitle {
   display: table-cell;
    text-align: justify;
    padding: 10px;
    // border: 2px solid red;
    text-align:center;
  }

  // .tech-value {
  //   display: table-cell;
  //   text-align: justify;
  //   // padding: 10px;
  //   background-color: white;
  //   width:4%;
  // }
  .wishlist-cursor {
   cursor: pointer;
  }
  .tech-row {
    display: table-row;
    border: 2px solid green;
  }
  .wishlist-btn{
      background-color: white;
      text-align: center;
      margin-bottom: 10%;
      margin-left: 260%;
}
.whislist-product-price span{
    font-size: 12px;
}
  @include for-size(phone-only) {
    .wrapTableTech{
        width: 100%;
        overflow-x: scroll;
    }
  }
@include for-size(tablet-portrait-up) {
    .wrapTableTech{
        width: 100%;
        overflow-x: scroll;
    }

}
@include for-size(tablet-landscape-up) {

}
.nodata-found-wrap {
    text-align: center
}
.nodata-found img{
    text-align: center;
    margin-top: 3vh;
}

.common-pagination{
    display: flex;
    justify-content: flex-end
  }
.mat-table{
  width: 100%;
}
.mat-row{
  height: 60px;
}

td.mat-cell:nth-child(1),
th.mat-header-cell:nth-child(1) {
    width: 5%;
}
td.mat-cell:nth-child(2),
th.mat-header-cell:nth-child(2) {
  width: 10%;
}
td.mat-cell:nth-child(6),
th.mat-header-cell:nth-child(6) {
  padding: 0;
  padding-left: 40px;

}
// td.mat-cell:nth-child(3),
// th.mat-header-cell:nth-child(3) {
//   width: 25%;
// }
.whist-pname{
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden !important;
  display: block;
  min-height: auto !important;
  width: 250px;
  padding-right: 20px;
}
th.mat-decimal-column {
  &.mat-header-cell {
      .mat-sort-header-container{
        .mat-sort-header-button{
            order: 2;
        }
        .mat-sort-header-arrow{
            order: 1;
            margin: 0 6px 0 0;
        }
      }
  }
  &.mat-cell, &.mat-header-cell, &.mat-footer-cell {
      justify-content: flex-end !important;
      text-align: right !important;
      //padding-right: 20px;
  }
}
// .mat-decimal-column.mat-header-cell {
//   order: 2 !important;
// }
// .mat-decimal-column td mat-cell, .mat-decimal-column td mat-header-cell{
//   justify-content: flex-end !important;
//   text-align: right !important;
//   padding: 0 0 0 30px;
// }
// .mat-decimal-column  th mat-header-cell th mat-sort-header {
//   order: 2 !important;
// }
// td.mat-cell:nth-child(4),
// th.mat-header-cell:nth-child(4) {
//   padding-right: 15px;
//   width: 12%;
// }
// td.mat-cell:nth-child(5),
// th.mat-header-cell:nth-child(5) {
//   padding-right: 15px;
//   width: 15%;
//   flex: 1;
// text-align: right;
// }

// th.mat-sort-header-sorted {
//   color: black;
// }

h4 {
  color: #03a9f4;
}
.common-pagination{
display: flex;
justify-content: flex-end
}
.common-action-v1 {
  display: flex;
  // justify-content: center;
  button {
    border: none;
    background: none;
    outline: 0;
    cursor: pointer;
    .fa {
      // cursor: pointer;
      color: $quaternary;
    }
    .fas{
      color: $quaternary;
    }
  }
  button:hover{
    .fa {
      color: #1a1a1a;
    }
    .fas{
      color: #1a1a1a;
    }
  }
}

